#' Calculate summaries like signed root of the likelihood rati statistics
#' @param xout Matrix of sampled summary statistics
#' @param xvec Vector of summary statistics
#' @param K cumulant generating function
#' @param hard logical flag to determine whether likelihood ratio statistics are calculated
#' @export
calcsummaries<-function(xout,xvec,K,hard=FALSE){
   stats<-list(okm=cbind((xvec[1]<=xout[,1]),(xvec[2]<=xout[,2])),
      ta=array(NA,c(dim(xout)[1],2)),
      tt=array(NA,c(dim(xout)[1],2)),
      wm=array(NA,c(dim(xout)[1],2)),
      gv=array(NA,c(dim(xout)[1],2)),
      uv=array(NA,c(dim(xout)[1],2)))
#  print("stats$wm") ; print(stats$wm)
   if(hard){
      for(jj in seq(dim(xout)[1])){
         hatsout <- hatwvec(xvec=xout[jj,],K=K)
         stats$ta[jj,] <- hatsout$hattau
         stats$tt[jj,] <- hatsout$tildetau
         stats$wm[jj,] <- hatsout$what
         stats$gv[jj,] <- hatsout$gv
         stats$uv[jj,] <- hatsout$uv
      }
   }
   stats$ok <- stats$okm[,1]&stats$okm[,2]
   return(stats)
}
