#' Compare derivatives calculated symbolicly with numerical approximations.
#' @param statstr Statistics assocated with xvec, calculated in hatwvec.
#' @param delta Parameter controling differencing operation used to calculate numerical derivatives.
#' @param model List containing the cumulant generating function specifying the model.
#' @param xvec data vector
#' @param Kpp second derivative of cumulant generating function at MLE.
checkcheck<-function(statstr,delta=0.01,model,xvec,Kpp){
   cat("delta",delta,"\n")
   cat("statstr$what",statstr$what,"\n")
   cat("statstr$hattau",statstr$hattau,"\n")
   cat("tau1f(0)",tau1f(0,xvec,model$K,statstr)," should be ",0,"\n")
   cat("tau1f(w1hat)",tau1f(statstr$what[1],xvec,model$K,statstr)," should be ",statstr$hattau[1],"\n")
   cat("tau1(what-delta/2)",tau1f(statstr$what[1]-delta/2,xvec,model$K,statstr),"tau1(what+delta/2)",tau1f(statstr$what[1]+delta/2,xvec,model$K,statstr),"\n")
   cat("tau_1^1",(tau1f(statstr$what[1]+delta/2,xvec,model$K,statstr)- tau1f(statstr$what[1]-delta/2,xvec,model$K,statstr))/delta,"\n")
   cat("w_1^1",(wvec(c(statstr$hattau[1]+delta/2,statstr$hattau[2]),xvec,statstr,model$K)[1]-
      wvec(c(statstr$hattau[1]-delta/2,statstr$hattau[2]),xvec,statstr,model$K)[1])/delta," should be",
      sqrt(Kpp[1,1]-Kpp[1,2]*Kpp[2,1]/Kpp[2,2]) ,"\n")
   cat("w_1^1",(wvec(c(statstr$hattau[1]+delta/2,0),xvec,statstr,model$K)[1]-
      wvec(c(statstr$hattau[1]-delta/2,0),xvec,statstr,model$K)[1])/delta," should be",
      sqrt(Kpp[1,1]-Kpp[1,2]*Kpp[2,1]/Kpp[2,2]) ,"\n")
   cat("w_2^1",(wvec(c(statstr$hattau[1]+delta/2,0),xvec,statstr,model$K)[2]-
      wvec(c(statstr$hattau[1]-delta/2,0),xvec,statstr,model$K)[2])/delta," should be",
      (model$K(c(statstr$hattau[1],0))$d1[1]-xvec[1])/(wvec(c(statstr$hattau[1],0),xvec,statstr,model$K)[2]-statstr$what[2]) ,"\n")
   cat("w_2^1",(wvec(c(tau1f(statstr$what[1]+delta/2,xvec,model$K,statstr),0),xvec,statstr,model$K)[2]- wvec(c(tau1f(statstr$what[1]-delta/2,xvec,model$K,statstr),0),xvec,statstr,model$K)[2]) /delta," should be",
      (model$K(c(statstr$hattau[1],0))$d1[1]-xvec[1])/( sqrt(Kpp[1,1]-Kpp[1,2]*Kpp[2,1]/Kpp[2,2]) * (wvec(c(statstr$hattau[1],0),xvec,statstr,model$K)[2]-statstr$what[2])) ,"\n")
}
