#' Calculate maximizer for second CGF parameter, holding the first parameter fixed.
#' @param tau1 First component of CGF argument, held fixed during maximization.
#' @param xvec Bivariate data value.
#' @param K Cumulant generating function
#' @return optimal value of second CGF argument.
#' @export
#' @importFrom nleqslv nleqslv
tautilde <- function(tau1,xvec,K){
#  cat("Entered tautilde tau1",tau1,"xvec",xvec,"K\n");#print(K)
   out <- try(nleqslv(0,function(tau2,tau1) return(K(c(tau1,tau2))$d1[2]-xvec[2]),
      jac=NULL,tau1,control=list(xtol=1.0e-12)))
#  print(out)
   if(inherits(out,"try-error")) out<-list(x=NA)
#  cat("Exiting tautilde, out$x",out$x,"\n")
   return(out$x)
}
