#' Test slope calculation
#' @param xvec Bivariate data vector
#' @param K Cumulant generating function
#' @param npts Number of points on each half of the grid
#' @param delta width of half the grid
#' @param wc center of grid
#' @export
#' @importFrom grDevices dev.off pdf
testzeta2 <- function(xvec,K,npts=10,delta=1,wc=0){
   myK<-K
   hv <- hatwvec(xvec=xvec,K=myK)
   tryw1 <- delta*((-npts):npts)/npts+hv$what[1]
   out <- array(NA,length(tryw1))
#  cat("At loop\n")
   for(ii in seq(length(out))){
#     cat("In testzeta2 ii",ii,"\n")
      out[ii] <- zeta2(tryw1[ii],xvec,myK,hv)
   }
   cat("hv$what[1]",hv$what[1],"\n")
   cat("hv$gp",hv$gp,"\n")
   plot(tryw1,out,xlab="w1",ylab="zeta2",
      sub=paste("what=",paste(round(hv$what,3),collapse=" "),
      "xvec=",paste(xvec,collapse=" ")))
   zeta21<-twodsp(xvec,K=K)$zeta21
   plot((tryw1[-1]+tryw1[-length(tryw1)])/2,diff(out)/diff(tryw1))
   points(hv$what[1],zeta21,pch=2,col=2)
}
