% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/myplot.R
\name{myplot}
\alias{myplot}
\title{Calculate the two-dimensional LR saddlepoint approximation.  Also, sketch out the boundary of the region whose probability is calcualted.}
\usage{
myplot(
  xvec = c(4, 5),
  npts = 20,
  xscale = 1,
  n = 1,
  mcsize = 10000,
  rangemult = 2,
  model = list(K = Kdep, sim = simgamma),
  plotme = TRUE,
  getcor = TRUE,
  delta = 0.01,
  verbose = FALSE,
  correct = TRUE
)
}
\arguments{
\item{xvec}{Two-component vector at which to calculate the tail probability.}

\item{npts}{Number of points at which to calculate each leg of the boundary.}

\item{xscale}{A factor to scale the distance into the tails for boundary calculation.}

\item{n}{number of independent bivariate vectors making up the vector mean whose probability is being calculated.}

\item{mcsize}{Number of Monte Carlo samples to use for approximation of tail.}

\item{rangemult}{Multiplier controling how far below and to the left of the set vertex to plot}

\item{model}{a list with two components K, representing the bivariate cumulant generating function of each summand, and sim, representing the code to simulate random vectors.}

\item{plotme}{Logical variable indicating whether MC samples should be plotted.}

\item{getcor}{Logical variable indicating SRLLR statistics should be calculated for all values of the Monte Carlo samples.}

\item{delta}{Parameter needed to test derivatives.}

\item{verbose}{Logical flag controling diagnostic output.}

\item{correct}{Logical flag controling whether likelihood ratio statistics are transformed to have a rectangular region}
}
\value{
A list of points representing the boundaries of the regions.
}
\description{
Calculate the two-dimensional LR saddlepoint approximation.  Also, sketch out the boundary of the region whose probability is calcualted.
}
\examples{
myplot()
}
