% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/testsp.R
\name{testsp}
\alias{testsp}
\title{Test the two-dimensional LR saddlepoint approximation.}
\usage{
testsp(
  ll = NULL,
  ur = NULL,
  npts = 21,
  n = 1,
  mcsize = 1000,
  model = list(K = Kdep, sim = simgamma),
  out = NULL,
  verbose = FALSE,
  abserror = FALSE
)
}
\arguments{
\item{ll}{Lower left corner of region to be investigated.}

\item{ur}{Upper right corner of region to be investigated.}

\item{npts}{Number of points at which to calculate each leg of the boundary.}

\item{n}{number of independent bivariate vectors making up the vector mean whose probability is being calculated.}

\item{mcsize}{Number of Monte Carlo samples to use for approximation of tail.}

\item{model}{a list with two components K, representing the bivariate cumulant generating function of each summand, and sim, representing the code to simulate random vectors.}

\item{out}{results of a previous run.}

\item{verbose}{logical flag passed to twodsp triggering verbose output.}

\item{abserror}{logical indicating whether error should have absolute value taken.}
}
\value{
A three-dimensional array, with the first two dimensions associated with values for the two ordinates, and the last reflecting the various approximation
}
\description{
Test the two-dimensional LR saddlepoint approximation.
}
\examples{
test1<-testsp(ll=c(2,2),ur=c(4,4))
test2<-testsp()
test3<-testsp(model=list(K=Kbvn,sim=simbvn))
test4<-testsp(model=list(K=Kindexp,sim=simindexp))
}
