% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/twodsp.R
\name{twodsp}
\alias{twodsp}
\title{Calculate the two-dimensional LR saddlepoint approximation.  Also, sketch out the boundary of the region whose probability is calcualted.}
\usage{
twodsp(xvec = c(4, 5), n = 1, K = Kdep, stats = NULL, verbose = FALSE)
}
\arguments{
\item{xvec}{Two-component vector at which to calculate the tail probability.}

\item{n}{number of independent bivariate vectors making up the vector mean whose probability is being calculated.}

\item{K}{the bivariate cumulant generating function of each summand}

\item{stats}{A structure of test statistics.  Will be reconstructed if not input.}

\item{verbose}{Logical flag triggering verbose output.}
}
\value{
A list consisting of a vector of various approximation values, and the slope.
}
\description{
Calculate the two-dimensional LR saddlepoint approximation.  Also, sketch out the boundary of the region whose probability is calcualted.
}
\examples{
twodsp()
}
